<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                template="/templates/base.xhtml">

    <ui:define name="page">
        <!-- Page Heading -->
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Reporte de llegadas tarde con excel</h1>                            
        </div>

        <!-- Content Row -->
        <div class="row">
            <!-- Content Column -->
            <div class="col-lg-12 mb-6">
                <!-- Project Card Example -->
                <div class="card shadow mb-4">
                    <div class="card-header py-3">
                        <h6 class="m-0 font-weight-bold text-primary">Reporte por rango de fechas</h6>
                    </div>
                    <div class="card-body">
                        <h:form id="form">
                            <p:messages id="mensajes" showDetail="true" closable="true"/>
                            <div class="row">
                                <div class="col-6">
                                    <h:outputText value="Fecha inicio"/>
                                </div>
                                <div class="col-6">
                                    <p:datePicker id="date1" value="#{lateArrivalExcelView.date1}"  pattern="yyyy-MM-dd"
                                                  yearNavigator="true"  yearRange="2020:2023"/>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-6">
                                    <h:outputText value="Fecha fin"/>
                                </div>
                                <div class="col-6">
                                   <p:datePicker id="date2" value="#{lateArrivalExcelView.date2}"  pattern="yyyy-MM-dd"
                                                  yearNavigator="true"  yearRange="2020:2023"/>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12">
                                    <p:commandButton  value="Exportar excel" ajax="false" action="#{lateArrivalExcelView.exportExcel()}" update="form" />
                                </div>
                            </div>
                        </h:form>
                    </div>
                </div>
            </div>

           
            
        </div> 

    </ui:define>


</ui:composition>

